PHP Nefunguje

Sekcia: Konfigurácia 15.02 | 14:35
Avatar BigVictorio   Návštevník

-------- OS: Ubuntu 14.04 LTS -------- Čaute, mám taký problém. Včera som inštaloval LAMP (apache, php, mysql) no všetko vyzeralo že funguje no potom som zistil že z nejakého dôvodu mi nejde php a teda ani mysql... Všetko som inštaloval podľa tohoto návodu Digital Ocean - How to install LAMP on ubuntu 14.04 no keď som chcel otestovať php podľa návodu, hodí mi toto.. https://ctrlv.cz/Rdlu 

Je možné že je to spôsobené zmeneným portom apachu. Lebo mám teamspeak s botom a ten beží na portu 80. Apache som dal na port 2526

Ďakujem a prajem pekný deň. Ďakujem za pomoc

    • RE: PHP Nefunguje 15.02 | 14:50
      Avatar Juraj Artix - OpenBox  Používateľ

      potrebuješ načítať rozšírenie PHP do Apachu a následne reštartovať Apache

    • RE: PHP Nefunguje 15.02 | 15:54
      Avatar LH   Návštevník

      Zdaaarek.

      Odporucam v odkazovanom clanku este raz precitat kapitolu "Step 3: Install PHP" v ktorej sa:

      • [1] - nainstaluje php5 modul pre webovy server apache
      • [2] - nastavi sa predvoleny (default) index subor na "index.php" (volitelne nakolko v tomto pripade je pouzity subor s nazvom "info.php")
      • [3] - restartuje sa webovy server apache



      Otazky a odpovede:

      [1]# sudo apt-get install php5 libapache2-mod-php5 php5-mcrypt
      [2]# sudo nano /etc/apache2/mods-enabled/dir.conf
      ----------------------------------------START->/etc/apache2/mods-enabled/dir.conf
      ...
      <IfModule
          DirectoryIndex index.php index.html index.cgi index.pl index.xhtml index.htm
      </IfModule>
      ----------------------------------------END->/etc/apache2/mods-enabled/dir.conf
      [3]# sudo service apache2 restart
      

      Q: ... no keď som chcel otestovať php podľa návodu, hodí mi toto ...
      A: to znamena, ze webovy server priamo obsluzil poziadavku uzivatela (prehliadaca), 
      ktory pozadoval poskytnutie suboru "info.php"
      
      Q: Je možné že je to spôsobené zmeneným portom apachu.
      A: Nie, to nie je tento pripad. To bolo aj otestovane tou URL na ktoru je pristupovane.
      
      ;-)
      • RE: PHP Nefunguje 15.02 | 15:57
        Avatar LH   Návštevník

        Zdaaarek.

        Nic v zlom, ale to formatovanie v tomto editore je nieco otrasne. Dakujem za pochopenie.

        ;-)

      • RE: PHP Nefunguje 15.02 | 16:22
        Avatar BigVictorio   Návštevník

        Ďakujem no nič. PHP som inštaloval podla toho návodu 1.

        sudo apt-get install php5 libapache2-mod-php5 php5-mcrypt
        2.

        sudo nano /etc/apache2/mods-enabled/dir.conf

        dir.conf:

        <IfModule mod_dir.c>
            DirectoryIndex index.php index.html index.cgi index.pl index.xhtml index.htm
        </IfModule>
        
        
        
        

        3.

        sudo service apache2 restart

        Stále nepomohlo... Keď si dám adresa_môjho_servera:2526/html/info.php stále tam je toto (viz. obrázok)

    • RE: PHP Nefunguje 15.02 | 16:33
      Avatar bedňa antiX, Devuan, LegacyIce  Administrátor

      V Ubuntu by mal byť stále Tasksel, ten si nainštaluješ cez

      sudo apt-get install tasksel

      Potom ho spustíš cez

      sudo tasksel

      a tam si vyberieš web server Výber spravíš klávesou Medzerník, v aplikácií sa pohybuješ šípkami hore a dole, prepínaš sa Tabulátorom.

      Toto ti nainštaluje presne čo potrebuješ.

      GL

      Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org
      • RE: PHP Nefunguje 15.02 | 18:00
        Avatar BigVictorio   Návštevník

        Tak ďakujem no. Pomohlo mi to no potom sa stala ďalšia super vec.. Pri inštalovaní cez tasksel zasekol niekde na 85 percentách pri inštalovaní apachu2 (asi pol hodinu to tak bolo) tak som zapol druhú konzolu a v htope nič nebolo... Tak som tú konzolu v ktorej sa "inštaloval" apache2 vypol, a chcel som cez tasksel apache2 odinštalovať a nainštalovať. No začalo mi hádzať toto

        tasksel: aptitude failed (100)
        
        Teraz keď to chcem odinštalovať/nainštalovať tak to nejde... Skúšal som to inštalovať aj cez

        sudo apt-get install lamp-server^

        no hodí mi

        E: Sub-process /usr/bin/dpkg returned an error code (100)
        

        Predtým keď som mal toto isté, no chyba bolo 1

        E: Sub-process /usr/bin/dpkg returned an error code (1)
        

        Stačilo vymazať súbory

        rm /var/lib/dpkg/info/*

        No teraz neviem ako to mám vyriešiť... Ďakujem za pomoc P.S.. Reštart nepomohol

        • RE: PHP Nefunguje 15.02 | 18:46
          Avatar bedňa antiX, Devuan, LegacyIce  Administrátor
          sudo apt-get -f install
          sudo dpkg --configure -a
          sudo apt-get update
          sudo apt-get upgrade

          a potom znovu skús cez tasksel nainštalovať web server

          Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org
          • RE: PHP Nefunguje 15.02 | 21:02
            Avatar BigVictorio   Návštevník

            >1.

            sudo apt-get -f install

            Reading package lists... Done
            Building dependency tree
            Reading state information... Done
            0 upgraded, 0 newly installed, 0 to remove and 39 not upgraded.
            2 not fully installed or removed.
            After this operation, 0 B of additional disk space will be used.
            Could not exec dpkg!
            E: Sub-process /usr/bin/dpkg returned an error code (100)
            root@root:~#
            
            

            2.

            sudo dpkg --configure -a
            root@root:~# sudo dpkg --configure -a
            sudo: dpkg: command not found
            

            3.

            sudo apt-get update
            Hit http://security.ubuntu.com trusty-security InRelease
            Ign http://archive.canonical.com trusty InRelease
            Ign http://archive.ubuntu.com trusty InRelease
            Hit http://archive.ubuntu.com trusty-updates InRelease
            Ign http://ppa.launchpad.net trusty InRelease
            Hit http://archive.canonical.com trusty Release.gpg
            Hit http://archive.ubuntu.com trusty-backports InRelease
            Hit http://security.ubuntu.com trusty-security/main Sources
            Hit http://archive.ubuntu.com trusty Release.gpg
            Hit http://archive.canonical.com trusty Release
            Hit http://ppa.launchpad.net trusty InRelease
            Hit http://archive.ubuntu.com trusty-updates/main Sources
            Hit http://security.ubuntu.com trusty-security/universe Sources
            Hit http://ppa.launchpad.net trusty Release.gpg
            Hit http://archive.ubuntu.com trusty-updates/universe Sources
            Hit http://security.ubuntu.com trusty-security/restricted Sources
            Ign http://repo.mongodb.org trusty/mongodb-org/3.2 InRelease
            Hit http://archive.ubuntu.com trusty-updates/restricted Sources
            Hit http://archive.canonical.com trusty/partner Sources
            Hit http://security.ubuntu.com trusty-security/multiverse Sources
            Hit http://ppa.launchpad.net trusty Release
            Hit http://repo.mongodb.org trusty/mongodb-org/3.2 Release.gpg
            Hit http://archive.ubuntu.com trusty-updates/multiverse Sources
            Hit http://security.ubuntu.com trusty-security/main amd64 Packages
            Hit http://archive.canonical.com trusty/partner amd64 Packages
            Hit http://archive.ubuntu.com trusty-updates/main amd64 Packages
            Hit http://ppa.launchpad.net trusty/main amd64 Packages
            Hit http://security.ubuntu.com trusty-security/universe amd64 Packages
            Hit http://archive.canonical.com trusty/partner Translation-en
            Hit http://repo.mongodb.org trusty/mongodb-org/3.2 Release
            Hit http://archive.ubuntu.com trusty-updates/universe amd64 Packages
            Hit http://repo.pritunl.com trusty InRelease
            Hit http://security.ubuntu.com trusty-security/restricted amd64 Packages
            Hit http://ppa.launchpad.net trusty/main Translation-en
            Hit http://archive.ubuntu.com trusty-updates/restricted amd64 Packages
            Hit http://security.ubuntu.com trusty-security/multiverse amd64 Packages
            Hit http://repo.mongodb.org trusty/mongodb-org/3.2/multiverse amd64 Packages
            Hit http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages
            Hit http://ppa.launchpad.net trusty/main amd64 Packages
            Hit http://security.ubuntu.com trusty-security/main Translation-en
            Hit http://archive.ubuntu.com trusty-updates/main Translation-en
            Hit http://security.ubuntu.com trusty-security/multiverse Translation-en
            Hit http://ppa.launchpad.net trusty/main Translation-en
            Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en
            Hit http://security.ubuntu.com trusty-security/restricted Translation-en
            Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en
            Hit http://security.ubuntu.com trusty-security/universe Translation-en
            Hit http://archive.ubuntu.com trusty-updates/universe Translation-en
            Hit http://repo.pritunl.com trusty/main amd64 Packages
            Hit http://archive.ubuntu.com trusty Release
            Hit http://archive.ubuntu.com trusty-backports/main Sources
            Hit http://archive.ubuntu.com trusty-backports/restricted Sources
            Hit http://archive.ubuntu.com trusty-backports/universe Sources
            Hit http://archive.ubuntu.com trusty-backports/multiverse Sources
            Hit http://archive.ubuntu.com trusty-backports/main amd64 Packages
            Hit http://archive.ubuntu.com trusty-backports/restricted amd64 Packages
            Hit http://archive.ubuntu.com trusty-backports/universe amd64 Packages
            Hit http://archive.ubuntu.com trusty-backports/multiverse amd64 Packages
            Hit http://archive.ubuntu.com trusty-backports/main Translation-en
            Hit http://archive.ubuntu.com trusty-backports/multiverse Translation-en
            Hit http://archive.ubuntu.com trusty-backports/restricted Translation-en
            Ign http://repo.mongodb.org trusty/mongodb-org/3.2/multiverse Translation-en_US
            Hit http://archive.ubuntu.com trusty-backports/universe Translation-en
            Hit http://archive.ubuntu.com trusty/main Sources
            Ign http://repo.mongodb.org trusty/mongodb-org/3.2/multiverse Translation-en
            Hit http://archive.ubuntu.com trusty/universe Sources
            Hit http://archive.ubuntu.com trusty/restricted Sources
            Hit http://archive.ubuntu.com trusty/multiverse Sources
            Hit http://archive.ubuntu.com trusty/main amd64 Packages
            Hit http://archive.ubuntu.com trusty/universe amd64 Packages
            Hit http://archive.ubuntu.com trusty/restricted amd64 Packages
            Hit http://archive.ubuntu.com trusty/multiverse amd64 Packages
            Hit http://archive.ubuntu.com trusty/main Translation-en
            Hit http://archive.ubuntu.com trusty/multiverse Translation-en
            Hit http://archive.ubuntu.com trusty/restricted Translation-en
            Hit http://archive.ubuntu.com trusty/universe Translation-en
            Ign http://archive.ubuntu.com trusty/main Translation-en_US
            Ign http://archive.ubuntu.com trusty/multiverse Translation-en_US
            Ign http://repo.pritunl.com trusty/main Translation-en_US
            Ign http://archive.ubuntu.com trusty/restricted Translation-en_US
            Ign http://archive.ubuntu.com trusty/universe Translation-en_US
            Ign http://repo.pritunl.com trusty/main Translation-en
            Reading package lists... Done
            

            Upgrade na 16.04 neviem či chcem... Každopádne ďakujem za pomoc a ochotu. Dajaká ďalšie nápady?

            • RE: PHP Nefunguje 15.02 | 21:15
              Avatar bedňa antiX, Devuan, LegacyIce  Administrátor

              Z nejakého dôvodu ti chýba základ baličkovacieho systému, možno ti potichu umiera disk.

              sudo apt-get install dpkg
              a potom zopakuj príkazy.

              Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org
              • RE: PHP Nefunguje 16.02 | 15:57
                Avatar BigVictorio   Návštevník
                root@root:~# sudo apt-get install dpkg
                
                Reading package lists... Done
                Building dependency tree
                Reading state information... Done
                dpkg is already the newest version.
                0 upgraded, 0 newly installed, 0 to remove and 39 not upgraded.
                2 not fully installed or removed.
                After this operation, 0 B of additional disk space will be used.
                Do you want to continue? [Y/n] y
                Could not exec dpkg!
                E: Sub-process /usr/bin/dpkg returned an error code (100)
                root@root:~#
                
                

                Disk neviem či mi umiera. Toto mám iba ako VPSko, u dajakého hostingu... Môžem sa opýtať alebo tak... Ďakujem, ďalšie nápady?

                • RE: PHP Nefunguje 16.02 | 18:24
                  Avatar WlaSaTy   Návštevník

                  Zrovna dpkg nenainštaluješ bez dpkg. Otázku ako sa ti to podarilo vymazať, alebo či to je vôbec debian like distro, či je to plnohodnotný hosting tu nemá zmysel rozoberať.

                  mkdir /tmp/dpkg
                  cd /tmp/dpkg
                  wget http://archive.ubuntu.com/ubuntu/pool/main/d/dpkg/dpkg_1.15.5.6ubuntu4_i386.deb
                  ar x dpkg*.deb data.tar.gz
                  tar xfvz data.tar.gz ./usr/bin/dpkg
                  sudo cp ./usr/bin/dpkg /usr/bin/
                  sudo apt-get update
                  sudo apt-get install --reinstall dpkg
                  

                  Ten ridok s wget slúži na stiahnuie inštalačného balíčka pre dpkg. Dosaď si tam to, čo aktuálne zodpovedá tebou používanej distribúcii, architektúre a jej verzii.

    • RE: PHP Nefunguje 16.02 | 19:49
      Avatar BigVictorio   Návštevník

      No tak ako mám dosť dobrý problém. Keď hoci čo robím, inštalujem, odinštalujem package hodí mi toto..

      root@root:~# sudo apt-get purge --auto-remove apache2
      

      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      You might want to run 'apt-get -f install' to correct these:
      The following packages have unmet dependencies:
       apache2-mpm-prefork : Depends: apache2 (= 2.4.7-1ubuntu4.13) but it is not going to be installed
       libapache2-mod-php5 : Depends: apache2 (>= 2.4) but it is not going to be installed
       openjdk-7-jre : Depends: openjdk-7-jre-headless (= 7u121-2.6.8-1ubuntu0.14.04.1) but 7u121-2.6.8-1ubuntu0.14.04.3 is to be installed
      E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
      

      A keď skúsim

      root@root:~# apt-get -f install
      

      Toto mi vyhodí konzola Neviem zas čo.. Či už fakt mám upgradovať na ten ubuntu 16.04 alebo to dajako riešiť...

      • RE: PHP Nefunguje 16.02 | 20:21
        Avatar WlaSaTy   Návštevník
        /usr/bin/dpkg: symbol lookup error: /usr/bin/dpkg: undefined symbol: setexecfilecon
        

        Ty si tam dal nejaké iné dpkg ako tam malo byť. Čo to bolo pôvodne vôbec za distribúciu a čo všetko si pomenil v repozitároch?

        • RE: PHP Nefunguje 16.02 | 20:35
          Avatar LH   Návštevník

          Kamos, nechaj tak, toto nema vyznam.

          ;-)

          • RE: PHP Nefunguje 16.02 | 20:54
            Avatar bedňa antiX, Devuan, LegacyIce  Administrátor
            Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org
          • RE: PHP Nefunguje 16.02 | 20:55
            Avatar WlaSaTy   Návštevník

            To ja viem že takto pokazenú inštanciu operačného systému sa neoplatí zachraňovať. Len ma zaujímalo že ako k tomu prišiel. Teda či ešte niekto ponúka virtuálky z ktorých bola odstránená možnosť doinštalovať si komponenty (a aplikovať záplaty), alebo sa mu to podarilo dlhodobým a svedomitým snažením. Teda, skôr by ma zaujímalo meno poskytovateľa čo necháva sponzorovať botnety zákazníkmi, ak to bolo tým a nie prstami na klávesnici juniora.

            Ale pravdu sa nedozviem.

    • RE: PHP Nefunguje 18.02 | 22:15
      Avatar BigVictorio   Návštevník

      Tak ďakujem páni, moc ste mi pomohli. Ohľadom toho že tam nejdú doinštalovať systémové doplnky tak za to môže môj poskytovateľ (Taký odborník čo sa s ním poznám a vyzná sa do ubuntu, to dpkg skúšal doinštalovať aj preinštalovať no nechcelo ho pustiť.) Idem skúsiť prejsť z ubuntu na debian, len sa chcem spýtať či existuje na debiane dačo ako tasksel na ubuntu. Ďakujem všetkým za pomoc...

      • RE: PHP Nefunguje 18.02 | 23:54
        Avatar bedňa antiX, Devuan, LegacyIce  Administrátor

        Jasne, tasksel je vo väčšine Debian like distrách.

        Táto správa neobsahuje vírus, pretože nepoužívam MS Windows. http://kernelultras.org
      • RE: PHP Nefunguje 19.02 | 08:51
        Avatar WlaSaTy   Návštevník

        A nezabúdaj že v Debiane tiež dokážeš zlikvidovať dpkg.